r90 - in builds: debian_unstable/default__gtk_textui_oss debian_unstable/gtk_textui_alsa_zrtp debian_unstable/gtk_textui_oss_smartcard mingw32_on_debian_unstable/gtk_dsound_debug

erik at minisip.org erik at minisip.org
Wed Feb 14 11:19:38 CET 2007


Author: erik
Date: 2007-02-14 11:19:36 +0100 (Wed, 14 Feb 2007)
New Revision: 90

Modified:
   builds/debian_unstable/default__gtk_textui_oss/build.sh
   builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh
   builds/debian_unstable/gtk_textui_oss_smartcard/build.sh
   builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
Log:

 * Made build scripts be nicer to the build machine users.

   Before the build system ran the whole script with "nice -15".
   To unify the building on Linux and Windows (which does not have 
   the "nice" command), the script must now decrease the priority 
   itself.



Modified: builds/debian_unstable/default__gtk_textui_oss/build.sh
===================================================================
--- builds/debian_unstable/default__gtk_textui_oss/build.sh	2007-02-14 10:13:18 UTC (rev 89)
+++ builds/debian_unstable/default__gtk_textui_oss/build.sh	2007-02-14 10:19:36 UTC (rev 90)
@@ -2,7 +2,7 @@
 
 
 # wait if high load (only available on dev.minisip.org)
-sleep_while_load 3
+sleep_while_load 2
 
 REV=$1
 BASE=`pwd`
@@ -21,7 +21,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-textui prefix=$PREFIX && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure --enable-textui prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh
===================================================================
--- builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh	2007-02-14 10:13:18 UTC (rev 89)
+++ builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh	2007-02-14 10:19:36 UTC (rev 90)
@@ -2,7 +2,7 @@
 
 
 # delay build until load is low (only available on dev.minisip.org)
-sleep_while_load 3
+sleep_while_load 2
 
 REV=$1
 BASE=`pwd`
@@ -24,7 +24,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-textui --enable-zrtp --enable-alsa --with-openssl=no --with-gnutls=yes prefix=$PREFIX && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure --enable-textui --enable-zrtp --enable-alsa --with-openssl=no --with-gnutls=yes prefix=$PREFIX && nice -16 make -j2 && nice -16  make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/debian_unstable/gtk_textui_oss_smartcard/build.sh
===================================================================
--- builds/debian_unstable/gtk_textui_oss_smartcard/build.sh	2007-02-14 10:13:18 UTC (rev 89)
+++ builds/debian_unstable/gtk_textui_oss_smartcard/build.sh	2007-02-14 10:19:36 UTC (rev 90)
@@ -2,7 +2,7 @@
 
 
 # wait if high load (only available on dev.minisip.org)
-sleep_while_load 3
+sleep_while_load 2
 
 REV=$1
 BASE=`pwd`
@@ -22,7 +22,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-scsim --enable-gtkgui --enable-textui --disable-gconf prefix=$PREFIX && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure --enable-scsim --enable-gtkgui --enable-textui --disable-gconf prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
===================================================================
--- builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh	2007-02-14 10:13:18 UTC (rev 89)
+++ builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh	2007-02-14 10:19:36 UTC (rev 90)
@@ -2,7 +2,7 @@
 
 if test $# -ne 1  ; then echo Usage: $0 revision ; exit 1; fi
 
-sleep_while_load 3
+sleep_while_load 2
 
 wget -q http://www.minisip.org/~erik/autobuild_mingw32_base.tar.gz
 tar zxf autobuild_mingw32_base.tar.gz
@@ -29,7 +29,7 @@
 	cd $LIB
 	echo "" >&2
 	echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-	./bootstrap && ./configure --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB}  && make -j6 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+	./bootstrap && ./configure --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB}  && nice -16 make -j6 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
 	cd ..
 done
 



More information about the Minisip-devel mailing list